Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.sos.sensorml
Class Identifier

    java.lang.Object
      org.deegree.ogcwebservices.sos.sensorml.Identifier

    public class Identifier

extends Object

represents a Identifier; please read the SensorML spec

Author:
  Matthias Kulbe

Field Summary
`static int` | `longName`
`static int` | `missionNumber`
`static int` | `modelNumber`
`static int` | `partNumber`
`static int` | `serialNumber`
`static int` | `shortName`

Constructor Summary
`Identifier(String identifierValue)`
`Identifier(String identifierValue, int identifierType, String identifierCodeSpace)`

Method Summary
`String` | `getIdentifierCodeSpace()`
`int` | `getIdentifierType()`
`String` | `getIdentifierValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shortName

    public static final int shortName

See Also:
  Constant Field Values

### longName

    public static final int longName

See Also:
  Constant Field Values

### serialNumber

    public static final int serialNumber

See Also:
  Constant Field Values

### modelNumber

    public static final int modelNumber

See Also:
  Constant Field Values

### missionNumber

    public static final int missionNumber

See Also:
  Constant Field Values

### partNumber

    public static final int partNumber

See Also:
  Constant Field Values

Constructor Detail

### Identifier

    public Identifier(String identifierValue,
                      int identifierType,
                      String identifierCodeSpace)

Parameters:
  `identifierValue` -
  `identifierType` -
  `identifierCodeSpace` -

### Identifier

    public Identifier(String identifierValue)

Parameters:
  `identifierValue` -

Method Detail

### getIdentifierCodeSpace

    public String getIdentifierCodeSpace()

  Returns:
    code space

### getIdentifierType

    public int getIdentifierType()

  Returns:
    type

### getIdentifierValue

    public String getIdentifierValue()

  Returns:
    value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org